<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <title>Activity: CSS Introduction</title>

        <!-- Internal Styling -->
        <style>
            #internal-styling{
                color:rgb(255, 172, 69);;
            }
        </style> 

        <!-- External CSS -->
        <link rel="stylesheet" type="text/css" href="./index.css">
    </head>
    <body>

        <!-- Different ways to include CSS -->
        <!-- Inline Styling -->
        <p style="color:rgb(255, 70, 53);">Apply inline styling here.</p>
        <!-- Internal Styling -->
        <p id="internal-styling">Apply internal styling here.</p>
        <!-- External Styling -->
        <p id="external-styling">Apply external styling here.</p>

        <!-- CSS Selectors -->
        <h1>CSS Introduction Activity</h1>

        <h2 id="id-selector">The following are things you will learn in this bootcamp:</h2>

        <h3>Languages to be Learned</h3>
        <ol>
            <li class="class-selector">Hypertext Markup Language</li>
            <li class="class-selector">Cascading Style Sheet</li>
            <li class="class-selector">JavaScript</li>
        </ol>

        <h3>Tools to be Used</h3>
        <ol>
            <li class="attribute-selector">Sublime Text</li>
            <li class="attribute-selector">Postman</li>
            <li class="attribute-selector">Heroku</li>
            <li class="attribute-selector">GitLab</li>
        </ol>

        <!-- Combinator Selectors -->
        <section>
            <h4>Other Things to be Learned</h4>
            <img src="https://upload.wikimedia.org/wikipedia/commons/thumb/9/99/Unofficial_JavaScript_logo_2.svg/480px-Unofficial_JavaScript_logo_2.svg.png">
            <ul>
                <li>Node.js</li>
                <li>Express.js</li>
                <li>React.js</li>
                <li>MongoDB</li>
            </ul>
            <p>Web development is a continuous process. Never stop learning and always look for ways to innovate.</p>
        </section>

    </body>
</html>